﻿/*
 * FCKeditor - The text editor for Internet - http://www.fckeditor.net
 * Copyright (C) 2003-2010 Frederico Caldeira Knabben
 *
 * == BEGIN LICENSE ==
 *
 * Licensed under the terms of any of the following licenses at your
 * choice:
 *
 *  - GNU General Public License Version 2 or later (the "GPL")
 *    http://www.gnu.org/licenses/gpl.html
 *
 *  - GNU Lesser General Public License Version 2.1 or later (the "LGPL")
 *    http://www.gnu.org/licenses/lgpl.html
 *
 *  - Mozilla Public License Version 1.1 or later (the "MPL")
 *    http://www.mozilla.org/MPL/MPL-1.1.html
 *
 * == END LICENSE ==
 *
 * This plugin register the required Toolbar items to be able to insert the
 * table commands in the toolbar.
 */

//so we need to register the toolbar item and the command the toolbarItem calls

//dbfm calls a dialog box with the parameters - the plugin name, the dialog title, the url for what's going in the dialog and the dialog width and height
FCKCommands.RegisterCommand( 'dbfm' , new FCKDialogCommand('dbfm', FCKLang.dbfmTitle, Drupal.settings.basePath + 'dbfm_attachit' , 700, 515 ) )

// Create the dbfm toolbar button.
//THIS LOOKS GOOD add the new button and specify the image for the button and the function associated with the button
var oDbfm = new FCKToolbarButton('dbfm', FCKLang.dbfmBtn, FCKLang.dbfmToolTip);  //parameters for ToolbarButton are the name of the button, the caption and the tooltip text

oDbfm.IconPath = FCKConfig.PluginsPath + 'dbfm/file-manager.png'; //specifies the image used in the toolbar
FCKToolbarItems.RegisterItem( 'dbfm', oDbfm );
